## org.codehaus.groovy.antlr.treewalker
Class NodeCollector

A simple antlr AST visitor that collects all nodes into a List.

author:
  Jeremy Rayner

version:
  $Revision: 4032 $

Field Summary
`List` | `nodes`

Constructor Summary
`NodeCollector()`

Method Summary
`List` | `getNodes()`
`void` | `visitDefault(GroovySourceAST t, int visit)`

Constructor Detail

### NodeCollector

    public NodeCollector()

Method Detail

### getNodes

    public List getNodes()

### visitDefault

    public void visitDefault(GroovySourceAST t, int visit)